Bug 163036 - Synaptic requires yelp
Synaptic requires yelp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: synaptic (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-12 09:07 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.57.2-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-31 06:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-07-12 09:07:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
For some strange reason, the synaptic rpm
Requires: yelp

This pulls in mozilla and couple of more "heavyweight" packages, and thus renders synaptic pretty much unusable on small systems.

Also I fail to understand why synaptic should "require yelp", while (AFAIK) no other gtk/gnome package requires yelp. AFAIS, all synaptic does is to provide gnome-help files - These are just contents and are not tied to using any particular tool, such as yelp. - Or am I missing something?


Version-Release number of selected component (if applicable):
synaptic-0.55.3-3

How reproducible:
Always

Steps to Reproduce:
# yum install synaptic


Actual Results:  ..
  The following NEW packages will be installed:
   gnome-doc-utils (0.2.0-2)
   mozilla (1.7.8-2)
   mozilla-nss (1.7.8-2)
   synaptic (0.55.3-3)
   yelp (2.10.0-1)


Expected Results:  synaptic should not require yelp

Additional info:
Comment 1 Ville Skyttä 2005-07-31 06:53:54 EDT
Fixed (by Panu) in 0.57.2-1.  

Note You need to log in before you can comment on or make changes to this bug.